[arch-commits] Commit in tor/repos (extra-i686 extra-i686/PKGBUILD)

Douglas Soares de Andrade douglas at archlinux.org
Sun Oct 19 11:58:35 EDT 2008


    Date: Sunday, October 19, 2008 @ 11:58:35
  Author: douglas
Revision: 15860

Merged revisions 14706,15859 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/tor/trunk

........
  r14706 | ronald | 2008-10-09 15:35:00 -0300 (Qui, 09 Out 2008) | 1 line
  
  upgpkg: tor 0.2.0.31-1
........
  r15859 | douglas | 2008-10-19 13:57:39 -0200 (Dom, 19 Out 2008) | 1 line
  
  upgpkg: tor 0.2.0.31-2
........

Modified:
  tor/repos/extra-i686/	(properties)
  tor/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)


Property changes on: tor/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /tor/trunk:1-14692
   + /tor/trunk:1-15859

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-19 15:57:39 UTC (rev 15859)
+++ extra-i686/PKGBUILD	2008-10-19 15:58:35 UTC (rev 15860)
@@ -1,8 +1,9 @@
 # $Id$
 # Maintainer: simo <simo at archlinux.org>
+
 pkgname=tor
 pkgver=0.2.0.31
-pkgrel=1
+pkgrel=2
 pkgdesc="TOR Client"
 arch=('i686' 'x86_64')
 url="http://tor.eff.org"
@@ -12,22 +13,23 @@
 source=(http://tor.eff.org/dist/tor-${pkgver}.tar.gz
 				tor.conf
 				tor.rc)
+backup=('etc/tor/torrc etc/tor/torrc-dist etc/tor/tor-tsocks.conf')
 
 md5sums=('f3ab7d982ed295e7b25981c3910d5c2c'
          '56c75d4e8a66f34167d31e38c43793dd'
          '4e39d56f462fc9f59e91715ac1b994c0')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
   make || return 1
 
-	mkdir -p $startdir/pkg/var/lib
-	install -o43 -g43 -d -m0700 $startdir/pkg/var/lib/tor
-	install -D -m644 $startdir/src/tor.conf $startdir/pkg/etc/tor/torrc
-	install -D -m755 $startdir/src/tor.rc $startdir/pkg/etc/rc.d/tor
+	install -d $pkgdir/var/lib || return 1
+	install -o43 -g43 -d -m0700 $startdir/pkg/var/lib/tor || return 1
+	install -D -m644 $startdir/src/tor.conf $pkgdir/etc/tor/torrc || return 1
+	install -D -m755 $startdir/src/tor.rc $pkgdir/etc/rc.d/tor || return 1
 	
-  make DESTDIR=$startdir/pkg install
-  mv $startdir/pkg/etc/tor/torrc.sample $startdir/pkg/etc/tor/torrc-dist
+  make DESTDIR=$pkgdir install || return 1
+  mv $pkgdir/etc/tor/torrc.sample $pkgdir/etc/tor/torrc-dist || return 1
 }
 # vim: ft=sh sw=2 ts=2




More information about the arch-commits mailing list